FCNQX2(3)

SYNOPSIS
SUBROUTINE FCNQX2 (LUN, KPRINT, IPASS)

NAME
fcnqx2 - THIS IS A QUICK CHECK PROGRAM FOR THE SUBROUTINES DXLEGF AND DXNRMP WHICH CALCULATE LEGENDRE FUNCTIONS

LIBRARY
SLATEC

CATEGORY
C3A2, C9

TYPE
DOUBLE PRECISION (FCNQX1-S, FCNQX2-D)

KEYWORDS
LEGENDRE FUNCTIONS, QUICK CHECK

AUTHOR
LOZIER, DANIEL W., (NIST) SMITH, JOHN M., (NIST AND GEORGE MASON UNIVERSITY)

REFERENCES
OLVER AND SMITH,J.COMPUT.PHYSICS,51(1983),NO.3,502-518. SMITH, OLVER AND LOZIER,ACM TRANS MATH SOFTW,7(1981), NO.1,93-105.

ROUTINES CALLED
DXCON, DXCSRT, XERCLR, DXLEGF, DXNRMP, DXSET, XSETF

REVISION HISTORY (YYMMDD)
881020 DATE WRITTEN
900306 Added SLATEC prologue to this routine. (DWL and JMS)
901019 Revisions to prologue. (DWL and WRB)
901106 Changed all specific intrinsics to generic. (WRB)
910104 Changed to print variable number of decimals. (DWL and JMS)